DataTransferDBManager (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.db
Class DataTransferDBManager

    java.lang.Object
      org.gcube.datatransfer.agent.impl.db.DBManager
          org.gcube.datatransfer.agent.impl.db.DataTransferDBManager

All Implemented Interfaces:
  Runnable

    public class DataTransferDBManager

extends DBManager
implements Runnable

Author:
  Andrea Manzi(CERN)

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.datatransfer.agent.impl.db.DBManager
`DBManager.BaseConsumer`

Field Summary

Fields inherited from class org.gcube.datatransfer.agent.impl.db.DBManager
`backupFolder, backupIntervalMS, dbFileBaseFolder, dbFileName, dbName, persistenceFactory`

Constructor Summary
`DataTransferDBManager()` Default constructor

Method Summary
`javax.jdo.PersistenceManager` | `getPersistenceManager()`
`String` | `getTransferObjectOutComeAsRS(String transferId)`
`String` | `getTransferStatus(String transferId)`
`void` | `run()` (non-Javadoc)
`void` | `storeTransfer(Transfer transfer)`
`void` | `storeTransferObject(Set<TransferObject> transferObjects)`
`void` | `updateTransferObjectStatus(String objId, String status)`

Methods inherited from class org.gcube.datatransfer.agent.impl.db.DBManager
`backup, close, queryJSON, quote, toJSon, zipFolder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataTransferDBManager

    public DataTransferDBManager()
                          throws Exception

  Default constructor

  Throws:
    `Exception`

Method Detail

### storeTransfer

    public void storeTransfer(Transfer transfer)
                       throws Exception

  Parameters:
    `Transfer` -
    `transferObjects` -
  Throws:
    `Exception`

### storeTransferObject

    public void storeTransferObject(Set<TransferObject> transferObjects)
                             throws Exception

  Throws:
    `Exception`

### getTransferStatus

    public String getTransferStatus(String transferId)
                             throws Exception

  Throws:
    `Exception`

### updateTransferObjectStatus

    public void updateTransferObjectStatus(String objId,
                                           String status)
                                    throws Exception

  Throws:
    `Exception`

### run

    public void run()

  (non-Javadoc)

  Specified by:
    `run` in interface `Runnable`
  See Also:
    `Runnable.run()`

### getPersistenceManager

    public javax.jdo.PersistenceManager getPersistenceManager()

### getTransferObjectOutComeAsRS

    public String getTransferObjectOutComeAsRS(String transferId)
                                        throws gr.uoa.di.madgik.grs.writer.GRS2WriterException

  Throws:
    `gr.uoa.di.madgik.grs.writer.GRS2WriterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.